Making Dependency Text Clearer

Having trouble with the game? Report issues and get help here. Read this first!

Moderators: Forum Moderators, Developers

Forum rules
Before reporting issues in this section, you must read the following topic:
Post Reply
Stedevil
Posts: 40
Joined: November 29th, 2005, 7:21 am

Making Dependency Text Clearer

Post by Stedevil »

I just added this campaign to Wesnoth 1.6 (on Ubuntu Linux), but trying to start it fails with the error

Unknown unit type 'maurader Hunter'

(The game prompted for and, AFAIK, downloaded the required Era)

Edit: Apparently the game did NOT install the required era automatically (that I was led to believe it would). A bug somewhere, or just a confusing popup message?

User avatar
Turuk
Sithslayer
Posts: 5283
Joined: February 28th, 2007, 8:58 pm
Contact:

Re: Alfhelm the Wise

Post by Turuk »

It does not, it tells you that the add-on you are currently going to download depends on another add-on which you have not installed yet. It then asks you if you still want to download the add-on (which you clicked on in the first place), and does so. It's just a friendly notice so that authors like Turin don't have to write "Imperial Era Needed!" in the campaign description when users go to select the campaign.
Mainline Maintainer: AOI, DM, NR, TB and THoT.
UMC Maintainer: Forward They Cried, A Few Logs, A Few More Logs, Start of the War, and Battle Against Time

Stedevil
Posts: 40
Joined: November 29th, 2005, 7:21 am

Re: Alfhelm the Wise

Post by Stedevil »

Turuk wrote:It then asks you if you still want to download the add-on (which you clicked on in the first place), and does so.
This is the exact actual popup

---
Dependencies
This add-on depends upon the following add-on which you have not installed yet:
Imperial_Era
Do you really want to download it?

[OK] [Cancel]
---
This IS a confusing message, because a correct grammatical interpretation is that "it" refers back to the last mentioned add-on, Imperial_Era, clearly implying that the era will also automatically be added.

So instead of just blowing off good feedback, why not make the popup text better so there can be no confusion?

Eg replace
"Do you really want to download it?"
with
"To be able to play this add-on you also need to manually install any dependency."

User avatar
Turuk
Sithslayer
Posts: 5283
Joined: February 28th, 2007, 8:58 pm
Contact:

Re: Alfhelm the Wise

Post by Turuk »

Stedevil wrote:So instead of just blowing off good feedback, why not make the popup text better so there can be no confusion?
At which point did I blow off good feedback? I answered your inquiry as to the fact that it was not a bug as it stands now. You were the one who instantly took an offensive stance and instead of making a reasonable suggestion, decided that I was against you from the start and came back hostilely.

There is nothing wrong with making it clearer, and it can be done.
Mainline Maintainer: AOI, DM, NR, TB and THoT.
UMC Maintainer: Forward They Cried, A Few Logs, A Few More Logs, Start of the War, and Battle Against Time

Stedevil
Posts: 40
Joined: November 29th, 2005, 7:21 am

Re: Alfhelm the Wise

Post by Stedevil »

Turuk wrote:At which point did I blow off good feedback? I answered your inquiry as to the fact that it was not a bug as it stands now. You were the one who instantly took an offensive stance and instead of making a reasonable suggestion, decided that I was against you from the start and came back hostilely.
I apologize for any confusion, but it seemed very clear to me that you were meaning there was no bug and the text was also more than adequate. You now further state I don't make a reasonable suggestion. So is it really just me imagining being blown off? ;)

In any case, I since long figured out how to make the game work by myself, it wont affect me either way. But I still think someone should take my "unreasonable suggestion" and modify it to be "reasonable" because the text as it stands is confusing for the user. :)

User avatar
Turuk
Sithslayer
Posts: 5283
Joined: February 28th, 2007, 8:58 pm
Contact:

Re: Alfhelm the Wise

Post by Turuk »

Reasonable as in tone, not in reference to the actual viability.

If you had actually included the rest of my post when you quoted me, you would note that I said as much.
Mainline Maintainer: AOI, DM, NR, TB and THoT.
UMC Maintainer: Forward They Cried, A Few Logs, A Few More Logs, Start of the War, and Battle Against Time

User avatar
ancestral
Developer
Posts: 1108
Joined: August 1st, 2006, 5:29 am
Location: Motion City

Re: Making Dependency Text Clearer

Post by ancestral »

How about:

s/really/still
s/it/this add-on


Dependencies
This add-on John's Map Pack depends upon the following add-on which you have not installed yet:

        Imperial_Era

Do you still want to download this add-on John's Map Pack?

[OK] [Cancel]



"still" makes reference to the older object
"this add-on" removes the ambiguous "it" and uses the same words as the message did at the beginning.


Edit: Even better! Why not just use the name of the add-on being downloaded?
Wesnoth BestiaryPREVIEW IT HERE )
Unit tree and stat browser
CanvasPREVIEW IT HERE )
Exp. map viewer

Stedevil
Posts: 40
Joined: November 29th, 2005, 7:21 am

Re: Making Dependency Text Clearer

Post by Stedevil »

Sounds good to me. :)

Post Reply